ubuntu-location-service: com::ubuntu::location::service::session::Interface Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::service::session::Interface Class Reference

Models a session with the location service. More...

`#include <interface.h>`

Inheritance diagram for com::ubuntu::location::service::session::Interface:
Collaboration diagram for com::ubuntu::location::service::session::Interface:

## Classes
struct | Errors
struct | Updates
| Encapsulates updates provided for this session, and the ability to enable/disable updates. More...

## Public Types
typedef std::shared_ptr< Interface > | Ptr

## Public Member Functions
| Interface (const Interface &)=delete
virtual | ~Interface () noexcept
Interface & | operator= (const Interface &)=delete
virtual Updates & | updates ()
| Provides access to the updates delivered for this session. More...

## Protected Member Functions
| Interface ()

## Detailed Description

Models a session with the location service.

Definition at line 42 of file interface.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<Interface> com::ubuntu::location::service::session::Interface::Ptr

Definition at line 105 of file interface.h.

## Constructor & Destructor Documentation

## ◆ Interface() [1/2]

com::ubuntu::location::service::session::Interface::Interface | ( | const Interface & |  | ) |
| delete

## ◆ ~Interface()

virtual com::ubuntu::location::service::session::Interface::~Interface | ( |  | ) |
| virtualnoexcept

## ◆ Interface() [2/2]

com::ubuntu::location::service::session::Interface::Interface | ( |  | ) |
| protected

## Member Function Documentation

## ◆ operator=()

Interface& com::ubuntu::location::service::session::Interface::operator= | ( | const Interface & |  | ) |
| delete

## ◆ updates()

virtual Updates& com::ubuntu::location::service::session::Interface::updates | ( |  | ) |
| virtual

Provides access to the updates delivered for this session.

Returns
  A mutable reference to updates.

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/session/interface.h